Package org.stianloader.micromixin.transform.internal.util.locals

## Class LocalsCapture

- java.lang.Object
- - org.stianloader.micromixin.transform.internal.util.locals.LocalsCapture

    public class LocalsCapture
    extends java.lang.Object

### Constructor Summary

Constructors
`LocalsCapture()`

### Method Summary

All Methods Static Methods Concrete Methods
`static LocalCaptureResult` `captureLocals​(org.objectweb.asm.tree.ClassNode owner, org.objectweb.asm.tree.MethodNode method, org.objectweb.asm.tree.AbstractInsnNode inspectionTarget, ClassWrapperPool pool)`
`static java.util.Map<org.objectweb.asm.tree.AbstractInsnNode,​LocalCaptureResult>` `multiCaptureLocals​(org.objectweb.asm.tree.ClassNode owner, org.objectweb.asm.tree.MethodNode method, java.util.List<org.objectweb.asm.tree.AbstractInsnNode> inspectionTargets, ClassWrapperPool pool)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LocalsCapture

    public LocalsCapture()

### Method Detail

#### captureLocals

    @NotNull
    public static LocalCaptureResult captureLocals​(@NotNull
                                                   org.objectweb.asm.tree.ClassNode owner,
                                                   @NotNull
                                                   org.objectweb.asm.tree.MethodNode method,
                                                   @NotNull
                                                   org.objectweb.asm.tree.AbstractInsnNode inspectionTarget,
                                                   @NotNull
                                                   ClassWrapperPool pool)

#### multiCaptureLocals

    @NotNull
    public static java.util.Map<org.objectweb.asm.tree.AbstractInsnNode,​LocalCaptureResult> multiCaptureLocals​(@NotNull
                                                                                                                     org.objectweb.asm.tree.ClassNode owner,
                                                                                                                     @NotNull
                                                                                                                     org.objectweb.asm.tree.MethodNode method,
                                                                                                                     @NotNull
                                                                                                                     java.util.List<org.objectweb.asm.tree.AbstractInsnNode> inspectionTargets,
                                                                                                                     @NotNull
                                                                                                                     ClassWrapperPool pool)